#!/usr/bin/env ruby
#

require_relative "../../scripts/rubylix.rb"
require_relative "../../scripts/FrealixOutput.rb"

log_file = "fsc.log"

# Initialise log file & find out the frealix mode that was run
log = FrealixOutput.new(log_file)

fsc_values = []
fsc_values = log.getFSCValues()

fsc_values.delete_if {|x| x > 0.9}

if (fsc_values.count > 3) then
  puts "FSC looks bad"
  exit 1
else
  puts "FSC looks good"
  exit 0
end

